### Constructor

# Gtk IconView new_with_model

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_icon_view_new_with_model (
      GtkTreeModel* model
    )

#### Description [src]

Creates a new `GtkIconView` widget with the model `model`.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The model.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A newly created `GtkIconView` widget.

The data is owned by the called function.